Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.primitive
Class Attribute

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.Attribute

All Implemented Interfaces:
  ASN1Value

public class Attribute
extends java.lang.Object
implements ASN1Value

An Attribute, which has the following ASN.1 definition (roughly):

          Attribute ::= SEQUENCE {
              type        OBJECT IDENTIFIER,
              value       SET }

Inner Class Summary
`static class` | `Attribute.Template` A Template for decoding an Attribute.

Field Summary
`static Tag` | `TAG`
`private static Attribute.Template` | `templateInstance`
`private OBJECT_IDENTIFIER` | `type`
`private SET` | `values`

Constructor Summary
`private` | `Attribute()`
`` | `Attribute(OBJECT_IDENTIFIER type, ASN1Value value)`
`` | `Attribute(OBJECT_IDENTIFIER type, SET values)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static Attribute.Template` | `getTemplate()`
`OBJECT_IDENTIFIER` | `getType()`
`SET` | `getValues()` If this AVA was constructed, returns the SET of ASN1Values passed to the constructor.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### type

    private OBJECT_IDENTIFIER type

### values

    private SET values

### TAG

    public static final Tag TAG

### templateInstance

    private static Attribute.Template templateInstance

Constructor Detail

### Attribute

    private Attribute()

### Attribute

    public Attribute(OBJECT_IDENTIFIER type,
                     SET values)

### Attribute

    public Attribute(OBJECT_IDENTIFIER type,
                     ASN1Value value)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### getType

    public OBJECT_IDENTIFIER getType()

### getValues

    public SET getValues()

  If this AVA was constructed, returns the SET of ASN1Values passed to the constructor. If this Atrribute was decoded with an Attribute.Template, returns a SET of ANYs.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static Attribute.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD